<img src="/Bilder/igmr.png" alt="IGMR" width="500">

# Navigation mit dem Turtlebot 4
*Eine Projektarbeit von Coco Schwarz und Imke Schreiner betreut von Sophie Charlotte Keunecke am IGMR der RWTH*


# TurtleBot2 Bibo - Documentation
The Turtlebot 2 is a mobile robot that is commonly used for academic research in sensor fusion, slaming and path planning.
\
This is the documentation on how to update the TurtleBot2 to ROS2.
![overview_Bibo](/Bilder/overview_Bibo.jpg)

### SOURCING THE WORKSPACE WITH EVERY OPENED TAB
```
gedit ~/.bashrc
```
at end of file add
```
source /opt/ros/humble/setup.bash #so we can access ros2
source /usr/share/colcon_argcomplete/hook/colcon-argcomplete.bash 
source ~/ros2_ws/install/setup.bash # access own workspace
source ~/ros2_ws/kobuki/install/setup.bash
source ~/ros2_ws/lidar/install/setup.bash
```
save it

### INSTALL WITH FILES IN INSTALL FOLDER

[kobuki install](https://git.rwth-aachen.de/coco-schwarz/turtlebot2-bibo-documentation/-/blob/main/install/kobuki.md?ref_type=heads) \
[teleop install](https://git.rwth-aachen.de/coco-schwarz/turtlebot2-bibo-documentation/-/blob/main/install/teleop.md?ref_type=heads) \
[lidar install](https://git.rwth-aachen.de/coco-schwarz/turtlebot2-bibo-documentation/-/blob/main/install/lidar.md?ref_type=heads) \
[slamtoolbox install](https://git.rwth-aachen.de/coco-schwarz/turtlebot2-bibo-documentation/-/blob/main/install/slamtoolbox.md?ref_type=heads)

### LAUNCH WITH FILES IN LAUNCH FOLDER

[kobuki & teleop launch](https://git.rwth-aachen.de/coco-schwarz/turtlebot2-bibo-documentation/-/blob/main/launch/kobuki-teleop.md?ref_type=heads) \
[lidar launch](https://git.rwth-aachen.de/coco-schwarz/turtlebot2-bibo-documentation/-/blob/main/launch/lidar.md?ref_type=heads) \
[slamtoolbox launch](https://git.rwth-aachen.de/coco-schwarz/turtlebot2-bibo-documentation/-/blob/main/launch/slamtoolbox.md?ref_type=heads)
